package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.UserWithdrawal;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022-03-30 13:53:51
 */
@ApiModel(value = "UserWithdrawalVo对象", description = "账户结算表查询视图对象")
public class UserWithdrawalVo extends UserWithdrawal {
	private static final long serialVersionUID = 1L;
	@ApiModelProperty("银行卡用户 ")
	private String realName;
	@ApiModelProperty("银行卡号 ")
	private String bankCard;
	@ApiModelProperty("银行名称 ")
	private String bankName;
	@ApiModelProperty("结算人 ")
	private String	withdrawaUser;
	@ApiModelProperty("结算手机号 ")
	private String phone;
	@ApiModelProperty("审核人 ")
	private String verifyUser;
	@ApiModelProperty("提现状态 DOING 审核中 FAILED 未通过 SUCCESS 提现成功 ")
	private String withdrawStatus;

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getWithdrawaUser() {
		return withdrawaUser;
	}

	public void setWithdrawaUser(String withdrawaUser) {
		this.withdrawaUser = withdrawaUser;
	}

	public String getBankCard() {
		return bankCard;
	}

	public void setBankCard(String bankCard) {
		this.bankCard = bankCard;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getVerifyUser() {
		return verifyUser;
	}

	public void setVerifyUser(String verifyUser) {
		this.verifyUser = verifyUser;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getWithdrawStatus() {
		return withdrawStatus;
	}

	public void setWithdrawStatus(String withdrawStatus) {
		this.withdrawStatus = withdrawStatus;
	}
}